0 votes
1 view
in Devops and Agile by (25k points)

I'm new to programming and started with Python about 2 months ago and am going over Sweigart's Automate the Boring Stuff with Python text. I'm using IDLE and already installed the selenium module and the Firefox browser. Whenever I tried to run the web driver function, I get this:

from selenium import webdriver

browser = webdriver.Firefox()

Exception:-

Exception ignored in: <bound method Service.__del__ of <selenium.webdriver.firefox.service.Service object at 0x00000249C0DA1080>>

Traceback (most recent call last):

  File "C:\Python\Python35\lib\site-packages\selenium\webdriver\common\service.py", line 163, in __del__

    self.stop()

  File "C:\Python\Python35\lib\site-packages\selenium\webdriver\common\service.py", line 135, in stop

    if self.process is None:

AttributeError: 'Service' object has no attribute 'process'

Exception ignored in: <bound method Service.__del__ of <selenium.webdriver.firefox.service.Service object at 0x00000249C0E08128>>

Traceback (most recent call last):

  File "C:\Python\Python35\lib\site-packages\selenium\webdriver\common\service.py", line 163, in __del__

    self.stop()

  File "C:\Python\Python35\lib\site-packages\selenium\webdriver\common\service.py", line 135, in stop

    if self.process is None:

AttributeError: 'Service' object has no attribute 'process'

Traceback (most recent call last):

  File "C:\Python\Python35\lib\site-packages\selenium\webdriver\common\service.py", line 64, in start

    stdout=self.log_file, stderr=self.log_file)

  File "C:\Python\Python35\lib\subprocess.py", line 947, in __init__

    restore_signals, start_new_session)

  File "C:\Python\Python35\lib\subprocess.py", line 1224, in _execute_child

    startupinfo)

FileNotFoundError: [WinError 2] The system cannot find the file specified

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "<pyshell#11>", line 1, in <module>

    browser = webdriver.Firefox()

  File "C:\Python\Python35\lib\site-packages\selenium\webdriver\firefox\webdriver.py", line 135, in __init__

    self.service.start()

  File "C:\Python\Python35\lib\site-packages\selenium\webdriver\common\service.py", line 71, in start

    os.path.basename(self.path), self.start_error_message)

selenium.common.exceptions.WebDriverException: Message: 'geckodriver' executable needs to be in PATH. 

I think I need to set the path for geckodriver but not sure how, so can anyone tell me how would I do this?

1 Answer

0 votes
by (63.3k points)

Use the below code, this should be helpful:

from selenium import webdriver

driver = webdriver.Firefox(executable_path=r'your\path\geckodriver.exe')

driver.get('https://intellipaat.com')

Welcome to Intellipaat Community. Get your technical queries answered by top developers !


Categories

...